Skip to main content
POST
/
workspaces
/
{workspace_id}
/
variables
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "description": "<string>",
  "values": {},
  "environment": "<string>",
  "tags": {},
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

workspace_id
string<uuid>
required

Body

application/json
name
string
required
Required string length: 1 - 255
Pattern: [a-z0-9_]+
values
Values · object
required
description
string | null
Maximum string length: 255
tags
Tags · object | null
environment
string
default:default

Response

Successful Response

id
string<uuid>
required
name
string
required
Pattern: [a-z0-9_]+
description
string | null
required
values
Values · object
required
environment
string
required
tags
Tags · object | null
required
workspace_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required